This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 1 reply, has 2 voices.

Last updated by Andreas W. 1 month, 1 week ago.

Assigned support staff: Andreas W..

Author Posts
September 9, 2019 at 9:29 am #4535271

aggelikiS

I am trying to: update woocomerce multilingual

Link to a page where the issue can be seen: cyanostore.com

I expected to see:

Instead, I got: E_ERROR on line 207 of file /var/www/vhosts/domain/httpdocs/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-wc-gateways.php. Error Code: Uncaught Error: Call to a member function get_currency_codes() on null in /var/www/vhosts/domain/httpdocs/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-wc-gateways.php:207 Stack trace: #0 /var/www/vhosts/domain/httpdocs/wp-includes/class-wp-hook.php(286): WCML_WC_Gateways->append_currency_selector_to_bacs_account_settings('') #1 /var/www/vhosts/domain/httpdocs/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #2 /var/www/vhosts/domain/httpdocs/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #3 /var/www/vhosts/domain/httpdocs/wp-admin/admin-footer.php(73): do_action('admin_footer', '') #4 /var/www/vhosts/domain/httpdocs/wp-admin/admin.php(288): include('/var/www/vhosts…') #5 {main}

thrown

September 9, 2019 at 4:46 pm #4539063

Andreas W.
Supporter

Languages: English (English ) Spanish (Español ) German (Deutsch )

Timezone: America/Lima (GMT-05:00)

Hello,

Thank you for contacting the WPMKL Support Forum.

Please make sure to update first WPML CMS Multilingual to version 4.2.8 and then update the additional add-ons.

Go to Plugins -> Install -> Commercial and dclick "Search for Updates", then download the plugins. Also, select the "Enable After Download" button at the bottom of the plug-in selector.

Please let me know if you need any further assistance.

Kind regards
Andreas

The topic ‘[Closed] Woocommerce multilingual update caused error’ is closed to new replies.